package org.josast.amicalsat;

import org.josast.amicalsat.generated.FrameTlmAmicalsat.FlagsType;
import org.josast.amicalsat.generated.FrameTlmAmicalsat.M1Type;

//#M1;FLAGS;[Timestamp];[Hex flags]
public class FlagsTypeFrame extends Frame {


	private String hexFlags;

	@Override
	protected void setUpFrame() {
		M1Type m1type = (M1Type) data.frameTlmEntrySat().payload().tlmAreaSwitch();
		FlagsType log = (FlagsType) m1type.tlmSw();
		
		timeStamps = m1type.timeStamps();
		hash.put("TimeStamp", timeStamps);
		hexFlags = log.hexFlags();
		hash.put("hexFlags", hexFlags);		
	}
	


}
